define([
    'jquery',
    'mage/translate',
    'upsellProducts'
], function($, $t) {

    'use strict';



    function getUpsellContent(url) {
        $.ajax({
            url: url,
            dataType: 'html',
            cache: false,
        }).done(function (data) {

            data = JSON.parse(data);

            $('#exttargetrule-upsells-container').html(data.output).trigger('contentUpdated');

        });
    }

    return function (config, element) {
        console.log($t('You may also like'));
        getUpsellContent(config.upsellAjaxUrl);
    };
});